Bug 621017 - Review Request: rubygem-scruffy - A powerful, clean graphing library for Ruby
Summary: Review Request: rubygem-scruffy - A powerful, clean graphing library for Ruby
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 01:36 UTC by Mo Morsi
Modified: 2010-10-28 05:54 UTC (History)
3 users (show)

Fixed In Version: rubygem-scruffy-0.2.6-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 17:05:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-08-04 01:36:42 UTC
Spec URL: http://mo.morsi.org/files/gems/rubygem-scruffy.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-scruffy-0.2.6-1.fc13.src.rpm

Description: 
Scruffy is a Ruby library for generating high quality, good looking graphs. It
is designed to be easy to use and highly customizable.

$ rpmlint rpmbuild/SRPMS/rubygem-scruffy-0.2.6-1.fc13.src.rpm 
rubygem-scruffy.src: W: spelling-error %description -l en_US customizable -> customization, customize, customable
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint rpmbuild/RPMS/noarch/rubygem-scruffy-0.2.6-1.fc13.noarch.rpm 
rubygem-scruffy.noarch: W: spelling-error %description -l en_US customizable -> customization, customize, customable
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Spelling warnings can be ignored

Koji build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2378104

Comment 1 Mamoru TASAKA 2010-08-05 19:41:33 UTC
Some notes:

* Unused macros
  - Defined %ruby_sitelib macro seems used nowhere

* License
-------------------------------------------------------------
CC-BY
./website/javascripts/lightbox.js

LGPLv2+
./website/javascripts/rounded_corners_lite.inc.js
-------------------------------------------------------------
  - License tag should be "MIT and CC-BY and LGPLv2+"
    (also see below)

* Requires
  - "R: ruby(abi) = 1.8" is a must item.
  - "rubygem(hoe)" is for development dependency (for
    Rakefile) and is not needed for runtime
    (Also "hoe" is marked as "s.add_development_dependency"
    in installed .gemspec file)
  - lib/scruffy.rb contains:
------------------------------------------------------------
    17  require 'rubygems'
    18  gem 'builder', '>= 2.0'
    19  require 'builder'
------------------------------------------------------------
    So this package should have "Requires: rubygem(builder)".

* Documents
  - I guess the following files / directories can be
    moved to -doc subpackage (after creating -doc subpackage).
    Would you consider this?
----------------------------------------------------------
%{geminstdir}/Rakefile
%{geminstdir}/config
%{geminstdir}/script
%{geminstdir}/spec
%{geminstdir}/test
%{geminstdir}/website
%{geminstdir}/tasks
%{geminstdir}/setup.rb
%{gemdir}/doc/%{gemname}-%{version}
----------------------------------------------------------

* %check
  - As this gem contains spec/ and test/ directories, please
    add %check section and execute some test programs
    ($ rake test and $ rake spec) there.

Comment 2 Mo Morsi 2010-08-10 22:37:18 UTC
(In reply to comment #1)
> Some notes:
> 
> * Unused macros
>   - Defined %ruby_sitelib macro seems used nowhere

Removed

> 
> * License
> -------------------------------------------------------------
> CC-BY
> ./website/javascripts/lightbox.js
> 
> LGPLv2+
> ./website/javascripts/rounded_corners_lite.inc.js
> -------------------------------------------------------------
>   - License tag should be "MIT and CC-BY and LGPLv2+"
>     (also see below)

Since these files have been added to the docs package, these additional licenses have only been applied to that.

> 
> * Requires
>   - "R: ruby(abi) = 1.8" is a must item.
>   - "rubygem(hoe)" is for development dependency (for
>     Rakefile) and is not needed for runtime
>     (Also "hoe" is marked as "s.add_development_dependency"
>     in installed .gemspec file)

Changed to a BR(check) dependency.


>   - lib/scruffy.rb contains:
> ------------------------------------------------------------
>     17  require 'rubygems'
>     18  gem 'builder', '>= 2.0'
>     19  require 'builder'
> ------------------------------------------------------------
>     So this package should have "Requires: rubygem(builder)".

Added.

> 
> * Documents
>   - I guess the following files / directories can be
>     moved to -doc subpackage (after creating -doc subpackage).
>     Would you consider this?
> ----------------------------------------------------------
> %{geminstdir}/Rakefile
> %{geminstdir}/config
> %{geminstdir}/script
> %{geminstdir}/spec
> %{geminstdir}/test
> %{geminstdir}/website
> %{geminstdir}/tasks
> %{geminstdir}/setup.rb
> %{gemdir}/doc/%{gemname}-%{version}
> ----------------------------------------------------------

Done

> 
> * %check
>   - As this gem contains spec/ and test/ directories, please
>     add %check section and execute some test programs
>     ($ rake test and $ rake spec) there.    

Done.

Updated:
Spec URL: http://mo.morsi.org/files/gems/rubygem-scruffy.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-scruffy-0.2.6-2.fc13.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2392215

Comment 3 Mamoru TASAKA 2010-08-12 19:12:20 UTC
One note:

- If you are not going to import this package into EPEL(5 and below),
  BuildRoot tag is no longer needed:
  https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

----------------------------------------------------------
   This package (rubygem-scruffy) is APPROVED by mtasaka
----------------------------------------------------------

Comment 4 Mamoru TASAKA 2010-08-21 07:56:13 UTC
Would you write SCM request here?

Comment 5 Mo Morsi 2010-08-24 04:54:28 UTC
(In reply to comment #4)
> Would you write SCM request here?

Sorry for the delay have been really busy with my main project, deltacloud. See public development here if your interested. 

https://fedorahosted.org/pipermail/deltacloud-devel/

Will devote some more time to Ruby/Rails/Fedora tommorow.

New Package SCM Request
=======================
Package Name: rubygem-scruffy
Short Description: Scruffy is a Ruby library for generating high quality, good looking graphs.
Owners: mmorsi
Branches: f13 f14
InitialCC:

Comment 6 Kevin Fenzi 2010-08-24 23:54:26 UTC
Git done (by process-git-requests).

Comment 7 Mamoru TASAKA 2010-09-01 17:46:22 UTC
Would you rebuild this package?

Comment 8 Mamoru TASAKA 2010-09-11 16:12:55 UTC
ping again?

Comment 9 Mamoru TASAKA 2010-09-22 17:10:19 UTC
Again ping?

Comment 10 Mamoru TASAKA 2010-10-03 17:43:38 UTC
Please build this package.

Comment 11 Fedora Update System 2010-10-12 14:42:43 UTC
rubygem-scruffy-0.2.6-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-scruffy-0.2.6-2.fc14

Comment 12 Fedora Update System 2010-10-12 14:43:36 UTC
rubygem-scruffy-0.2.6-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-scruffy-0.2.6-2.fc13

Comment 13 Fedora Update System 2010-10-13 06:11:14 UTC
rubygem-scruffy-0.2.6-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-scruffy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-scruffy-0.2.6-2.fc14

Comment 14 Mamoru TASAKA 2010-10-20 17:05:31 UTC
Closing.

Comment 15 Fedora Update System 2010-10-27 22:36:11 UTC
rubygem-scruffy-0.2.6-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-10-28 05:54:11 UTC
rubygem-scruffy-0.2.6-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.